<template>
  <div
    class="group-chat-room-container"
    :dir="rtlDesginHandler ? 'rtl' : 'ltr'"
  >
    <coreHeader width="100%" height="10vh">
      <template #headerContent>
        <div class="group-chat-room-header-container">
          <div class="information">
            <div class="avatar">
              {{ avatar }}
            </div>
            <span class="name">
              {{ currentGroupInfo.title }}
            </span>
          </div>
        </div>
      </template>
    </coreHeader>
  </div>
</template>

<script setup>
import coreHeader from '../coreHeader.vue';
import { useGroupChat } from '@/store/chats/groupChat.js';
import { computed } from 'vue';
import { useI18n } from 'vue-i18n';

const { locale } = useI18n();

const groupChatstore = useGroupChat();

const rtlDesginHandler = computed(() => {
  {
    if (locale.value == 'fa') {
      return true;
    } else {
      return false;
    }
  }
});

const currentGroupInfo = computed(() => {
  return groupChatstore.currentGroup;
});

const avatar = computed(() => {
  return groupChatstore.currentGroup.title[0].toUpperCase();
});
</script>

<style scoped>
.group-chat-room-container {
  width: 100%;
  height: 100dvh;
  position: absolute;
  z-index: 1;
  margin-top: 0px;
  animation: 0.3s load;
}

.group-chat-room-header-container {
  display: flex;
  align-items: center;
}

.information {
  width: 100%;
  height: 65px;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.information .avatar {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  font-size: 14px;
  font-weight: 700;
  color: #fff;
  background: #e78686;
  display: flex;
  justify-content: center;
  align-items: center;
}

.information .name {
  font-size: 16px;
  font-weight: 600;
  color: #fff;
  padding: 0 10px;
}

@keyframes load {
  0% {
    margin-top: 700px;
  }
  100% {
    margin-top: 0;
  }
}
</style>
